//
//  EffectView.h
//

#import <QuartzCore/QuartzCore.h>
#import <UIKit/UIKit.h>


@interface EffectView : UIView {

	BOOL			isLoop;
	BOOL			isFinishDelete;
	BOOL			isOpacity;
	BOOL			isPosition;
	BOOL			isBounds;
}

@property (nonatomic, assign) BOOL isLoop;
@property (nonatomic, assign) BOOL isFinishDelete;

- (id)initWith:(UIImage*)image;
- (void)setAnimePosition:(CGPoint)toPoint Duration:(CGFloat)dur;
- (void)setAnimeOpacityFrom:(CGFloat)opa1 To:(CGFloat)opa2 Duration:(CGFloat)dur;
- (void)setAnimeBoundsScaleFrom:(CGFloat)scl1 To:(CGFloat)scl2 Duration:(CGFloat)dur;

@end
