
#import <UIKit/UIKit.h>


@interface GameBoardTile : NSObject {
	
	UIImage			*contentImage;
	CGRect			frame;
	int				state;
	int				tileIndex;
	UIView*			piece;
	UIView*			item;
}

@property (nonatomic, retain) UIImage	*contentImage;
@property (nonatomic, assign) CGRect	frame;
@property (nonatomic, assign) int		tileIndex;
@property (nonatomic, assign) int		state;
@property (nonatomic, retain) UIView*	piece;
@property (nonatomic, retain) UIView*	item;

+(GameBoardTile*)gameBoardTileWith:(CGRect)tframe State:(int)tileState;

-(id)initWithTileFrame:(CGRect)tframe State:(int)tileState;
-(void)drawTile:(CGContextRef)context;
-(CGPoint)center;
-(BOOL)tileCheck:(CGPoint)point;



@end
