
#import <Foundation/Foundation.h>
#import "GamePieceView.h"
#import "GameBoardView.h"
#import "GameBoardTile.h"


#define	TILE_WIDTH		40	//タイルの横幅
#define	TILE_HEIGHT		40	//タイルの高さ
#define	TILE_POS_X		0	//タイルのx位置
#define	TILE_POS_Y		60	//タイルのy位置
#define	TILE_W_COUNT	8	//タイル横の数
#define	TILE_H_COUNT	10	//タイル縦の数

#define	MAP_CELL_COUNT	(TILE_W_COUNT*TILE_H_COUNT)

@class	GameBoardView;

@interface GameController : NSObject {
	
	GameBoardView		*gameView;
	GamePieceView		*pieceView;		//うさぎ
	GamePieceView		*enemyView;		//オオカミ
	
	int					carotCount;
	BOOL				isGameClear;
}

@property (nonatomic, retain) GameBoardView		*gameView;

-(id)initWithBaseView:(UIView*)baseview;
-(MovAngleType)nearPlayerPieceAngle:(GamePieceView*)piece;

@end
